# eric3.DocumentationTools.IndexGenerator

Module implementing the index generator for the builtin documentation generator.

### Classes

IndexGenerator | Class implementing the index generator for the builtin documentation generator.

### Functions

None

## IndexGenerator

Class implementing the index generator for the builtin documentation generator.

### Derived from

None

### Methods

IndexGenerator | Constructor
remember | Method to remember a documentation file.
writeIndex | Method to generate an index file for a package.
writeIndices | Method to generate all index files.

### IndexGenerator (Constructor)

IndexGenerator(outputDir, prefix = "eric3doc", css=0)

Constructor

outputDir
  The output directory for the files. (string)
prefix
  The filename prefix of the generated documentation files. (string)
css
  flag indicating a css style sheet should be used (boolean)

### IndexGenerator.remember

remember(file, moduleDocument, basename="")

Method to remember a documentation file.

file
  The filename to be remembered. (string)
moduleDocument
  The ModuleDocument object containing the information for the file.
basename
  The basename of the file hierarchy to be documented. The basename is stripped off the filename if it starts with the basename.

### IndexGenerator.writeIndex

writeIndex(packagename, package)

Method to generate an index file for a package.

packagename
  The name of the package. (string)
package
  A dictionary with information about the package.

Returns:
  The name of the generated index file.

### IndexGenerator.writeIndices

writeIndices(basename = "")

Method to generate all index files.

basename
  The basename of the file hierarchy to be documented. The basename is stripped off the filename if it starts with the basename.

Up